org.wso2.carbon.device.mgt.mobile.windows.api.services.xcep.beans

## Class OID

- java.lang.Object
- - org.wso2.carbon.device.mgt.mobile.windows.api.services.xcep.beans.OID

-     public class OID
      extends Object

  Java class for OID complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="OID">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="value" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="group" type="{http://www.w3.org/2001/XMLSchema}unsignedInt"/>
               <element name="oIDReferenceID" type="{http://www.w3.org/2001/XMLSchema}int"/>
               <element name="defaultName" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <any processContents='lax' maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<Object>` | `any`
    `protected String` | `defaultName`
    `protected long` | `group`
    `protected int` | `oidReferenceID`
    `protected String` | `value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OID()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<Object>` | `getAny()` Gets the value of the any property.
    `String` | `getDefaultName()` Gets the value of the defaultName property.
    `long` | `getGroup()` Gets the value of the group property.
    `int` | `getOIDReferenceID()` Gets the value of the oidReferenceID property.
    `String` | `getValue()` Gets the value of the value property.
    `void` | `setDefaultName(String value)` Sets the value of the defaultName property.
    `void` | `setGroup(long value)` Sets the value of the group property.
    `void` | `setOIDReferenceID(int value)` Sets the value of the oidReferenceID property.
    `void` | `setValue(String value)` Sets the value of the value property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### value

          protected String value

    - #### group

          protected long group

    - #### oidReferenceID

          protected int oidReferenceID

    - #### defaultName

          protected String defaultName

    - #### any

          protected List<Object> any

  - ### Constructor Detail

    - #### OID

          public OID()

  - ### Method Detail

    - #### getValue

          public String getValue()

      Gets the value of the value property.
      Returns:
        possible object is `String`

    - #### setValue

          public void setValue(String value)

      Sets the value of the value property.
      Parameters:
        `value` - allowed object is `String`

    - #### getGroup

          public long getGroup()

      Gets the value of the group property.

    - #### setGroup

          public void setGroup(long value)

      Sets the value of the group property.

    - #### getOIDReferenceID

          public int getOIDReferenceID()

      Gets the value of the oidReferenceID property.

    - #### setOIDReferenceID

          public void setOIDReferenceID(int value)

      Sets the value of the oidReferenceID property.

    - #### getDefaultName

          public String getDefaultName()

      Gets the value of the defaultName property.
      Returns:
        possible object is `String`

    - #### setDefaultName

          public void setDefaultName(String value)

      Sets the value of the defaultName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getAny

          public List<Object> getAny()

      Gets the value of the any property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the any property.

      For example, to add a new item, do as follows:

              getAny().add(newItem);

      Objects of the following type(s) are allowed in the list `Object` `Element`

Copyright © 2017 WSO2. All rights reserved.